## kodi-visualization-pictureit-dmo 19.0.1

=== lib/kissfft/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(kissfft)

set(SOURCES kiss_fft.c
            kiss_fftr.c)

add_library(kissfft STATIC ${SOURCES})
set_property(TARGET kissfft PROPERTY POSITION_INDEPENDENT_CODE ON)

=== debian/changelog ===
kodi-visualization-pictureit-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 11:08:30 +0100

kodi-visualization-pictureit-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Sep 2021 09:11:54 +0200

kodi-visualization-pictureit-dmo (1:3.4.0-dmo1) unstable; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Feb 2021 12:54:34 +0100

kodi-visualization-pictureit-dmo (1:3.0.2-dmo2) unstable; urgency=medium

  * Fix debian/control
    libgles2-mesa-dev --> libgles-dev
    libgl1-mesa-dev --> libgl-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Feb 2021 11:06:33 +0100

kodi-visualization-pictureit-dmo (1:3.0.2-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Feb 2021 10:44:13 +0100

=== debian/control ===
Source: kodi-visualization-pictureit-dmo
Priority: optional
Section: graphics
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/xbmc/visualization.pictureit
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libgles-dev [arm64 armel armhf], libgl-dev [!arm64 !armel !armhf], ninja-build,
 libglm-dev, libkissfft-dev (>= 131.1.0~), quilt,

Package: kodi-visualization-pictureit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:VISUALIZATIONAPI}
Description: visualizer addons for Kodi
 PictureIt is supposed to make listening to music more elegant and less
 flashy. The idea is to take random images you selected and display them
 alongside a simple spectrum at the bottom.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/xbmc/visualization.pictureit/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-visualization-pictureit-dmo 20.2.0

=== debian/changelog ===
kodi-visualization-pictureit-dmo (1:20.2.0-dmo1) unstable; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 15:02:10 +0100

kodi-visualization-pictureit-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 10:33:23 +0100

kodi-visualization-pictureit-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Sep 2021 08:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/visualization.pictureit
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libgles-dev [arm64 armel armhf], libgl-dev [!arm64 !armel !armhf], ninja-build,
  libglm-dev, libkissfft-dev (>= 131.1.0~), quilt,

=== debian/watch ===
version=4

https://github.com/xbmc/visualization.pictureit/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-visualization-pictureit-dmo 21.0.2

=== debian/changelog ===
kodi-visualization-pictureit-dmo (1:21.0.2-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Jan 2025 08:23:27 +0100

kodi-visualization-pictureit-dmo (1:21.0.1-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Jan 2025 15:48:27 +0100

kodi-visualization-pictureit-dmo (1:21.0.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Apr 2024 11:19:02 +0200

kodi-visualization-pictureit-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstrem release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 11:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://github.com/xbmc/visualization.pictureit
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  libgles-dev [arm64 armel armhf], libgl-dev [!arm64 !armel !armhf], ninja-build,
  libglm-dev, libkissfft-dev (>= 131.1.0~), quilt,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-DCMAKE_BUILD_TYPE=Release
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n

=== debian/watch ===
version=4

https://github.com/xbmc/visualization.pictureit/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
